import type { UmbContentPickerSource } from '../../types.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { UmbInteractionMemoryModel } from '../../../../core/interaction-memory/index.js';
import type { UmbReferenceByUniqueAndType } from '../../../../core/models/index.js';
import type { UmbTreeStartNode } from '../../../../core/tree/index.js';
declare const UmbInputContentElement_base: import("../../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../../../core/validation/index.js").UmbFormControlMixinElement<string | undefined>> & typeof UmbLitElement;
export declare class UmbInputContentElement extends UmbInputContentElement_base {
    #private;
    set type(newType: UmbContentPickerSource['type']);
    get type(): UmbContentPickerSource['type'];
    min: number;
    minMessage: string;
    max: number;
    maxMessage: string;
    startNode?: UmbTreeStartNode;
    set allowedContentTypeIds(value: string | undefined);
    get allowedContentTypeIds(): string | undefined;
    set selection(values: Array<UmbReferenceByUniqueAndType>);
    get selection(): Array<UmbReferenceByUniqueAndType>;
    set value(selectionString: string | undefined);
    get value(): string | undefined;
    /**
     * Sets the input to readonly mode, meaning value cannot be changed but still able to read and select its content.
     * @type {boolean}
     * @attr
     * @default false
     */
    readonly: boolean;
    required: boolean;
    requiredMessage: string;
    constructor();
    get interactionMemories(): Array<UmbInteractionMemoryModel> | undefined;
    set interactionMemories(value: Array<UmbInteractionMemoryModel> | undefined);
    firstUpdated(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbInputContentElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-content': UmbInputContentElement;
    }
}
